#include <iostream>
#include <algorithm>

using namespace std;


int main() {
	int p,q,r;
	long long int L,R;
	cin>>p>>q>>r;
	cin>>L>>R;
	int s=0;
	for(int i=L;i<=R;i++){
		int k=(i/p)+(i/q)+(i/r);
		if((i%p)!=0)k++;
		if((i%q)!=0)k++;
		if((i%r)!=0)k++;
		if(k<=i)
			s++;
	}
	
	cout<<s;

	return 0;
}